Bug 9248 - xntp3 RPM does not call chkconfig (and other bugs)
xntp3 RPM does not call chkconfig (and other bugs)
Product: Red Hat Linux
Classification: Retired
Component: xntp3 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-02-08 17:29 EST by wingc
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-09 12:50:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description wingc 2000-02-08 17:29:47 EST
The xntp3 RPM should call chkconfig in %pre and %post scripts, so that the
links in /etc/rc.d/rc#.d are made properly. On my system, this causes xntpd
to not get shut down properly at system shutdown.

You should add something like the following to the spec file:

Prereq: chkconfig

/sbin/chkconfig --add xntpd

if [ "$1" = 0 ]; then
	/etc/rc.d/init.d/xntpd stop
	/sbin/chkconfig --del xntpd

There are also 2 spurious patch files left in the documentation for the



Chris Wing
Comment 1 Jeff Johnson 2000-02-09 12:50:59 EST
Again, the Right Thing To do. Unfortunately, how xntpd is started is only
part of the issue, the rest is how to configure a master server. Since we
cannot supply a master NTP server as part of the default configuration,
we leave it up to the system administrator to choose a master server and
start xntpd.
Comment 2 wingc 2000-02-09 16:01:59 EST
That makes sense, but you could still call chkconfig to make the appropriate
links and then disable xntpd:

/sbin/chkconfig --add xntpd
/sbin/chkconfig xntpd reset

(make sure the init script for xntpd disables it by default in the chkconfig:

The problem I had was that even after configuring xntpd and supposedly
activating it with ntsysv, it didn't shut down properly because the K##xntpd
links were never made. I just verified that this is the case- if no links are
present in /etc/rc.d/rc#.d, ntsysv only adds the start links and not the stop
links. (maybe I should report this as a bug in ntsysv?)

These kinds of things confuse sysadmins.

Note You need to log in before you can comment on or make changes to this bug.